Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 29 Jul 2014, 19:18
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Beryl on Puppy(Installation guide for nvidia gfx cards.)
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 7 [92 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7 Next
Author Message
wow

Joined: 29 Jun 2006
Posts: 985
Location: Peru

PostPosted: Fri 20 Apr 2007, 01:21    Post subject:  

jimhap wrote:
And Beryl wants more. Remember the word "dependencies"? Those may not be listed in the configure, but some may be dependenies of the other requirements.
Here's a list of the dependencies.....(now you'll get shocked)
http://wiki.beryl-project.org/wiki/Compile_requirements

The following components are needed to compile Beryl:

* intltool dev_2*.sfs ?
* libdbus-1-dev disabled
* libdbus-glib-1-2 disabled
* libgl1-mesa-dev compiled and packed to dotpup
* libglu1-mesa compiled and packed to dotpup
* libglu1-mesa-dev compiled and packed to dotpup
* libglu1-xorg-dev compiled and packed to dotpup / Xorg
* libice-dev compiled and packed to dotpup / Xorg
* libjpeg62-dev devx_2*.sfs
* libpng12-dev devx_2*.sfs
* librsvg2-dev compiled and packed to dotpup http://www.murga-linux.com/puppy/viewtopic.php?search_id=972217090&t=16623
* libsm-dev compiled and packed to dotpup / Xorg
* libstartup-notification0-dev compiled and packed to dotpup
* libwnck-dev compiled and packed to dotpup
* libxcomposite-dev compiled and packed to dotpup / Xorg
* libxdamage-dev compiled and packed to dotpup / Xorg
* libxinerama-dev compiled and packed to dotpup / Xorg
* libxrandr-dev compiled and packed to dotpup / Xorg
* x11proto-gl-dev compiled and packed to dotpup / Xorg
* autoconf (HAVE, WHEN HAVING dev_21x.sfs in /mnt/home/)
* autogen devx_2*.sfs
* automake (preferably version 1.4 or higher) (HAVE, WHEN HAVING dev_21x.sfs in /mnt/home/)
* dbus >= 1.0.2 disabled
* gcc >= 4 .1 (HAVE, WHEN HAVING dev_21x.sfs in /mnt/home/)
* libgconf2-dev disabled
* gettext (HAVE)
* glibc >= 2.5 (Puppy 2.14 version is 2.3.5!!! Must find way to upgrade...) 2.3.5 did work
* glitz was compiled and packed to dotpup. Now disabled
* GTK (HAVE)
* libglib2.0-dev devx_2*.sfs
* libtool (HAVE, WHEN HAVING dev_21x.sfs in /mnt/home/)
* MesaLib-6.5.2 Last development release compiled and packed to dotpup few hours ago
* nVidia binary drivers - nvidia-0.9631 (slight frame speed up), ati-amd, ati drivers, or xf86-Intel *drivers, etc. have
* pango devx_2*.sfs
* python-dbus >= 0.80.1 disabled
* python-gtk2-dev >= 2.10.3 http://www.murga-linux.com/puppy/viewtopic.php?search_id=1368120308&t=16424
* python-pyrex http://www.murga-linux.com/puppy/viewtopic.php?search_id=1368120308&t=16424
* subversion not needed
* Xorg 7.1 or higher recommended, preferably AIGLX enabled (HAVE, NOT SURE ON OLDER VERSIONS OF PUPPY below 2.14) compiled and packed to dotpup / Xorg 7.2

text in blue is Arrow what I've done.

_________________

Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 985
Location: Peru

PostPosted: Fri 20 Apr 2007, 01:38    Post subject:  

jimhap wrote:
* Xorg 7.1 or higher recommended, preferably AIGLX enabled (HAVE, NOT SURE ON OLDER VERSIONS OF PUPPY below 2.14)

Type 'Xorg -version' Wink :

_________________

Back to top
View user's profile Send private message 
wdef

Joined: 13 Apr 2007
Posts: 91

PostPosted: Fri 20 Apr 2007, 16:29    Post subject:  

@jimhap:

Quote:
About that compile: can you give me the options of the configure? (by ./configure --help ) You should watch when configuring for "shared libraries".


Don't worry about it: (a) I wasn't aware of the hidden header unionfs thing, and (b) I've since learned that the patch for the driver I was trying to compile has a bug preventing it from working properly with new versions of Xorg.
(c) Someone else has compiled it for me ;=)
(d) I'm sort of off-topic really (sorry) since my concern was getting a driver going with a new Xorg, not with Beryl per se.
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 985
Location: Peru

PostPosted: Fri 20 Apr 2007, 23:44    Post subject:  

I've done more tests on the PC with the Savage chipset and found something interesting.
Xorg looks for the DRI modules at /usr/X11R7/lib/dri/:
Code:
(==) AIGLX enabled
(II) LoadModule: "dri"
(II) Loading /usr/X11R7/lib/xorg/modules/extensions//libdri.so
(II) Loading extension XFree86-DRI
(II) LoadModule: "savage"
(II) Loading /usr/X11R7/lib/xorg/modules/drivers//savage_drv.so
(EE) AIGLX error: dlopen of /usr/X11R7/lib/dri/savage_dri.so failed (/usr/X11R7/lib/dri/savage_dri.so: cannot open shared object file: No such file or directory)
(EE) AIGLX: reverting to software rendering

But is 'libGL'(MesaLibs) who look for DRI hardware drivers. Here is where my Mesa-6.5.2 build is installed:
Code:
# Installation directories (for make install)
INSTALL_DIR = /usr/X11R7
DRI_DRIVER_INSTALL_DIR = /usr/X11R7/lib/xorg/modules/dri

And glxinfo shows the DRI module as renderer(hardware):
Code:
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
OpenGL renderer string: Mesa DRI ProSavageDDR 20061110 AGP 1x x86/MMX/SSE2
OpenGL version string: 1.2 Mesa 6.5.2

After run beryl-manager:
Code:
sh-3.00# beryl-manager
sh-3.00# libGL warning: 3D driver claims to not support visual 0x4b
**************************************************************
* Beryl system compatiblity check                            *
**************************************************************

Detected xserver                                : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension               : passed (v0.3)
Checking for XDamage extension                  : passed
Checking for RandR extension                    : passed
Checking for XSync extension                    : passed

Checking Screen 0 ...

libGL warning: 3D driver claims to not support visual 0x4b
Checking for GLX_SGIX_fbconfig                  : passed
Checking for GLX_EXT_texture_from_pixmap        : passed
Checking for non power of two texture support   : passed
Checking maximum texture size                   : passed (2048x2048)



Now, if I make a symlink to pass the (EE) AIGLX error.
Code:
ln -s /usr/X11R7/lib/xorg/modules/dri/ /usr/X11R7/lib/

Xorg.log won't have any error message after restart X. Though some warnings (WW):
Code:
(==) AIGLX enabled
(II) LoadModule: "dri"
(II) Loading /usr/X11R7/lib/xorg/modules/extensions//libdri.so
(II) Loading extension XFree86-DRI
(II) SAVAGE(0): [drm] Enabling ShadowStatus for DRI.
(II) SAVAGE(0): [dri] visual configs initialized
(**) SAVAGE(0): DRI is enabled
(--) SAVAGE(0): Chose mode 115 at 85Hz.
(WW) AIGLX: 3D driver claims to not support visual 0x23
(WW) AIGLX: 3D driver claims to not support visual 0x24
(WW) AIGLX: 3D driver claims to not support visual 0x25
(WW) AIGLX: 3D driver claims to not support visual 0x26
(WW) AIGLX: 3D driver claims to not support visual 0x27
(WW) AIGLX: 3D driver claims to not support visual 0x28
(WW) AIGLX: 3D driver claims to not support visual 0x29
(WW) AIGLX: 3D driver claims to not support visual 0x2a
(WW) AIGLX: 3D driver claims to not support visual 0x2b
(WW) AIGLX: 3D driver claims to not support visual 0x2c
(WW) AIGLX: 3D driver claims to not support visual 0x2d
(WW) AIGLX: 3D driver claims to not support visual 0x2e
(WW) AIGLX: 3D driver claims to not support visual 0x2f
(WW) AIGLX: 3D driver claims to not support visual 0x30
(WW) AIGLX: 3D driver claims to not support visual 0x31
(WW) AIGLX: 3D driver claims to not support visual 0x32
(II) AIGLX: Loaded and initialized /usr/X11R7/lib/dri/savage_dri.so
(II) GLX: Initialized DRI GL provider for screen 0

Later, when I ran beryl-manager:
Code:
sh-3.00# beryl-manager
sh-3.00# libGL warning: 3D driver claims to not support visual 0x4b

** (beryl-manager:31066): WARNING **: Couldn't find a Selection Owner, perhaps n  o WM running?
Otherwise, manually kill your wm, and report the bug to the developers, it doesn  't follow the standards.
Falling back to looking for a defined WM in xlsclients.
**************************************************************
* Beryl system compatiblity check                            *
**************************************************************

Detected xserver                                : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension               : passed (v0.3)
Checking for XDamage extension                  : passed
Checking for RandR extension                    : passed
Checking for XSync extension                    : passed

Checking Screen 0 ...

libGL warning: 3D driver claims to not support visual 0x4b
Checking for GLX_SGIX_fbconfig                  : passed
Checking for GLX_EXT_texture_from_pixmap        : passed
Checking for non power of two texture support   : failed

Support for non power of two textures missing
libGL warning: 3D driver claims to not support visual 0x4b
beryl: Support for non power of two textures missing


Was strange, Beryl had run on a mixed mode(software and hardware renderer?), but not in hardware mode since this card in no supported.

This test was done installing Dotpups, not booting from my Puppy+Beryl CD. All these DotPups are uploaded. I'll give instructions about how to install Beryl for Intel, ATI, and other cards soon, after check if this issue(running beryl on unsupported cards) can cause more problems.

_________________

Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 985
Location: Peru

PostPosted: Wed 02 May 2007, 21:10    Post subject:  video capture plugin  

The vidcap plugin is working Very Happy Have you seen ubuntu+beryl videos? now we can make Puppy+Beryl videos!! dotpups soon...


EDIT: uploaded Smile http://murga-linux.com/puppy/viewtopic.php?p=114469#114469

_________________

Back to top
View user's profile Send private message 
perixx

Joined: 21 Jan 2007
Posts: 93

PostPosted: Sat 05 May 2007, 04:09    Post subject:  

It's really good to see some guys are working on getting ATI cards to work for Beryl!

I've bought me a Palit X1950GT Super.... is there any chance that I might get this card to work with Beryl and Puppy too?

greetz

perixx
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 985
Location: Peru

PostPosted: Sat 05 May 2007, 07:58    Post subject:  

Sure, if you can get the driver working . . .

ATI Proprietary Linux x86 Display Driver 8.36.5 Apr. 18, 2007
http://ati.amd.com/support/drivers/linux/linux-radeon.html

_________________

Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 985
Location: Peru

PostPosted: Sun 13 May 2007, 12:20    Post subject:  

I have installed Beryl on a UsbFlashDrive (Kingston DataTraveler MiniFun 1GB) the OS is Puppy-2.16alpha, pup_save.2fs file size is 128 MB.



And I found more problems(only happens when Beryl is running):

- 2.16alpha and XFCE. Sometimes I can't drag files or folder to another filer window if 2 or more items are selected. Switching to xfwm and then beryl fix it.

- 2.14; 2.15; 2.16alpha; XFCE. Desktop flickering if Rox Pinboard is activated. Kill the pinboard to stop it.

- 2.14; 2.15; 2.16alpha; XFCE. Can't access a single window. If you kill xfdesktop, the Rox Pinboard is active and you only have one window(any type) opened.

Tip: Close, kill or disable the Pinboard to avoid these problems.

_________________

Back to top
View user's profile Send private message 
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Sat 19 May 2007, 21:08    Post subject:  

how do I auto start beryl? I have to run beryl-manager from the command line each time. also where is the lastest xfce dotpup/pet?
Edit: found xfce4-4.xx on dotpups.de
pipnboard disabled and emerald works
nividia geforce2 mx/mx 400 64 mb
sempron 1.8 ghz 512 mb ram
frugal install
grubldr added to win xp sp2 boot.ini
Back to top
View user's profile Send private message Visit poster's website 
wow

Joined: 29 Jun 2006
Posts: 985
Location: Peru

PostPosted: Mon 21 May 2007, 22:10    Post subject:  

cb88 wrote:
where is the lastest xfce dotpup/pet

Please read this, xfce-4.4 dotpup is coming soon
http://www.murga-linux.com/puppy/viewtopic.php?search_id=1410708214&t=15433

cb88 wrote:
I have to run beryl-manager from the command line each time

Add a Beryl launcher to the panel.

cb88 wrote:
how do I auto start beryl?

I have no idea.

_________________

Back to top
View user's profile Send private message 
cb88


Joined: 28 Jan 2007
Posts: 1169
Location: USA

PostPosted: Tue 22 May 2007, 11:24    Post subject:  

I already have an icon on the panel to start it.
which is newer xfce4 3.90 or xfce 4.2.3? I assume that it is the first one.
to add the menus in xfce I added a system menu in the menu editor I'll edit in how later not every thing is in the right place in this menu but it appears that everything is there lots of stuff palace in "other" submenu.
Back to top
View user's profile Send private message Visit poster's website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Tue 22 May 2007, 12:31    Post subject:  

Smile I just had a look at Beryl (on PClinuxOS) - it is a lot of fun and pleasing to use. Can hardly wait for our smart Puppy efforts. Just to say thanks for your efforts so far, really looking forward to trying this soon Smile
_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
intuxik8ed

Joined: 22 Apr 2007
Posts: 19
Location: Manila, Philippines

PostPosted: Tue 22 May 2007, 14:27    Post subject:  

Been using Sabayon 3.3 for a month now, in fact I'm on it right now and browsing with my "crippled" HSF modem at 14.4k. Turned Beryl off after 2 weeks and I just turn it on when I feel like showing off to my brother's buddies and the chicks they bring over here, hehehe. Never fails to amaze them.

BTW, Sabayon's Beryl version is 0.1.9999.2 and I don't know if I should update it or not. And the Nvidia driver that is installed by default is 96.31.
Back to top
View user's profile Send private message 
wow

Joined: 29 Jun 2006
Posts: 985
Location: Peru

PostPosted: Wed 27 Jun 2007, 22:39    Post subject: old news  

Beryl has been discontinued. As some of you may know the new project name is "Compiz Fusion" (beryl and compiz merge)

The new web site is at http://www.opencompositing.org/

_________________

Back to top
View user's profile Send private message 
gaixixon

Joined: 07 Aug 2006
Posts: 13

PostPosted: Thu 28 Jun 2007, 00:34    Post subject:  

i got this error when run beryl:
..
Checking Screen 0 ...
beryl: xcb_xlib.c:50: xcb_xlib_unlock: Assertion `c->xlib.lock` failed
Something went wrong with system check.


how can I fix this?
thnx.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 7 [92 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1167s ][ Queries: 11 (0.0126s) ][ GZIP on ]